From 22f1a069e65af367030d87856eb3db49503a63f6 Mon Sep 17 00:00:00 2001
From: Toralf Niebuhr <gmthor85@aim.com>
Date: Sat, 27 Feb 2010 20:34:47 +0100
Subject: [PATCH 2/5] removed some signedness warnings

---
 modules/video_filter/swscale.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/modules/video_filter/swscale.c b/modules/video_filter/swscale.c
index 8c1d879..18268a8 100644
--- a/modules/video_filter/swscale.c
+++ b/modules/video_filter/swscale.c
@@ -499,10 +499,10 @@ static void InjectA( picture_t *p_dst, const picture_t *p_src, unsigned i_width,
         for( unsigned x = 0; x < i_width; x++ )
             d->p_pixels[y*d->i_pitch+4*x+OFFSET_A] = s->p_pixels[y*s->i_pitch+x];
 }
-static void FillA( plane_t *d, int i_offset )
+static void FillA( plane_t *d, unsigned i_offset )
 {
-    for( int y = 0; y < d->i_visible_lines; y++ )
-        for( int x = 0; x < d->i_visible_pitch; x += d->i_pixel_pitch )
+    for( unsigned y = 0; y < d->i_visible_lines; y++ )
+        for( unsigned x = 0; x < d->i_visible_pitch; x += d->i_pixel_pitch )
             d->p_pixels[y*d->i_pitch+x+i_offset] = 0xff;
 }
 
-- 
1.6.6.1

